function theme
    if test (count $argv) -eq 1
        if test "$argv[1]" = "dark"
            fish_config theme choose "Catppuccin Frappe"
        else if test "$argv[1]" = "light"
            fish_config theme choose "Catppuccin Latte"
        else
            echo "Error: Invalid theme. Use 'dark' or 'light'." >&2
            return 1
        end
    else
        echo "Usage: theme [dark|light]" >&2
        return 1
    end
end
